2

Say, I currently have grep version 2.2 on my system and I would like to upgrade to version >= 2.5.

Other than installing grep through source code, is there a method to update grep using Ubuntu (apt) package manager?

  • 1
    You already have a version greater than 2.5! – Michael Hampton Feb 23 '16 at 1:48
  • 21 > 5 :} ... nothing to update. – tink Feb 23 '16 at 2:11
  • Darn. That's a typo. Sorry about that. Will update it. In any case, my question is just basically "Is there a way to update grep through apt" – krisharav May 18 '16 at 16:36
3

Even the latest distribution of Ubuntu (16.04 LTS) runs grep version 2.24. If you want to run a 2.5 version, pull down the deb package and install locally, i.e.

cd /tmp
wget http://launchpadlibrarian.net/40224290/grep_2.5.4-4build1_amd64.deb
sudo dpkg -i ./grep_2.5.4-4build1_amd64.deb
sudo apt-get install -f

...now you have access to fun stuff like --exclude-dir ;)

| improve this answer | |
1

Your upstream distribution (in this case Ubuntu) provides and supports a particular set of packages. It would be much more advantageous to upgrade your whole distribution to get a newer version of grep (or really any other package.)

The way to do it, if you choose to go this route, is to create your own .deb package with the newer version. Place that package in your repo, enable your repo on the system. Then you can install that deb with apt.

| improve this answer | |
  • I am not sure your answer is clear to everyone. It seems like you discourage what OP thought of, encouraged the whole distribution and suggested a way which involves creating own .deb file. Especially "the way to do it" is kind of confusing. I would humbly suggest re-wording the answer to be more clear. – GrzegorzOledzki May 18 '16 at 17:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.